package nl.chriswesdorp.demos.jbosstimersingleton.timer;

import java.util.Date;
import javax.ejb.EJB;
import javax.ejb.Schedule;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import nl.chriswesdorp.demos.jbosstimersingleton.package1.StatelessBean49Local;

/**
 *
 * @author c.wesdorp
 */
@Singleton
@Startup
public class TimerSingletonBean {

    @EJB StatelessBean49Local bean;

    @Schedule(second="*", minute="*", hour="*", persistent=false)
    public void timeout() {
        System.out.println(new StringBuilder("At ")
                .append(new Date())
                .append(" say ")
                .append(bean.sayHi()).toString());
    }

}
